/*
Copyright 2022, Savanni D'Gerinel <savanni@luminescent-dreams.com>

This file is part of Savanni's AVR library.

Lumeto is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Lumeto is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Lumeto. If not, see <https://www.gnu.org/licenses/>.
*/


#ifndef __MORSE_H__
#define __MORSE_H__

#include <stdint.h>
#include <stdlib.h>
#include <dio.h>

/* TODO: make this parameterizable */
#define DOT 1
#define DASH 3
#define DIVIDER 1
#define INTERCHAR 3
#define INTERWORD 4
#define SCALE 100

void send_morse(dio_t *dio, char *message);

#endif
